// import React, { useState, useEffect } from "react";
// import { useParams } from "react-router-dom"; // Hook to retrieve URL parameters
// // import "./MovieDetailPage.css";
// import SearchPage from "../components/SearchPage";

// const DetailPage = () => {
//   const [movieDetails, setMovieDetails] = useState(null);
//   const { id } = useParams(); // Get movie ID from URL parameters

//   // Fetch movie details when the component is mounted
//   useEffect(() => {
//     const fetchMovieDetails = async () => {
//       const response = await fetch(
//         `https://api.themoviedb.org/3/movie/${id}?api_key=59690efd14e375225c4531fcdced2901`
//       );
//       const data = await response.json();
//       setMovieDetails(data);
//     };
//     fetchMovieDetails();
//   }, [id]); // Re-fetch if the ID changes

//   if (movieDetails) {
//     return (
//       <div className="movie-detail-container">
//         <div className="movie-detail-card">
//           <img
//             src={`https://image.tmdb.org/t/p/w500/${movieDetails.poster_path}`}
//             alt={movieDetails.title}
//             className="movie-detail-poster"
//           />
//           <div className="movie-detail-info">
//             <h2>{movieDetails.title}</h2>
//             <p className="movie-detail-release-date">
//               <strong>Release Date:</strong> {movieDetails.release_date}
//             </p>
//             <p className="movie-detail-tagline">
//               <em>{movieDetails.tagline}</em>
//             </p>
//             <p className="movie-detail-overview">{movieDetails.overview}</p>
//             <p className="movie-detail-genres">
//               <strong>Genres:</strong>{" "}
//               {movieDetails.genres.map((genre) => genre.name).join(", ")}
//             </p>
//             <p className="movie-detail-runtime">
//               <strong>Runtime:</strong> {movieDetails.runtime} minutes
//             </p>
//             <a
//               href={movieDetails.homepage}
//               target="_blank"
//               rel="noopener noreferrer"
//               className="movie-detail-link"
//             >
//               Official Website
//             </a>
//           </div>
//         </div>
//       </div>
//     );
//   }

//   return <p>Loading movie details...</p>;
// };

// export default DetailPage;
